/// <reference types="react" />
import { RenderControlConfig } from "./control.css.utilities.props";
import { CSSPropertyRef, CSSPropertySyntax } from "design-to-code/dist/esm/data-utilities/mapping.mdn-data";
export interface RenderPropertyControlConfig extends RenderControlConfig {
    property: string;
    syntax: CSSPropertySyntax | CSSPropertyRef;
}
/**
 * The property control for syntaxes that refer to other
 * CSS properties, for a list refer to:
 * https://github.com/mdn/data/blob/master/css/properties.json
 */
export declare function renderPropertyControl(config: RenderPropertyControlConfig): JSX.Element;
