import React from "react";
import ModularForm from "./form";
import { ControlTemplateUtilities, ControlType, StandardControlPlugin, } from "./templates";
import { DndProvider } from "react-dnd";
import { HTML5Backend } from "react-dnd-html5-backend";
const Form = (props) => {
    return (React.createElement(DndProvider, { backend: HTML5Backend },
        React.createElement(ModularForm, Object.assign({}, props))));
};
export * from "./controls";
export { ControlType, Form, ModularForm, StandardControlPlugin, ControlTemplateUtilities, };
//# sourceMappingURL=index.js.map