/// <reference types="react" />
export interface RemoveProps {
    /**
     * The className to apply to the input element
     */
    className: string;
    /**
     * The disabled state for the input element
     */
    disabled: boolean;
    /**
     * The onChange callback
     */
    onChange: () => void;
}
/**
 * A component that allows:
 * - deletion of data
 */
declare function Remove(props: RemoveProps): JSX.Element;
export default Remove;
